Package: ruby-spring / 1.1.3-1

Metadata

Package Version Patches format
ruby-spring 1.1.3-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
dont test against listen.patch | (download)

Gemfile | 2 0 + 2 - 0 !
test/unit/watcher_test.rb | 26 0 + 26 - 0 !
2 files changed, 28 deletions(-)

 don't test against listen
 This patch disables testing against listen. spring seems to depend on listen
 1.0, while we are already at listen 2.4+, so something might be going wrong
 there.
 .
 Luckily listen is not the default backend.
gemspec.patch | (download)

spring.gemspec | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 don't relly on git for manifest
dont assume rubygems.patch | (download)

lib/spring/application_manager.rb | 1 0 + 1 - 0 !
lib/spring/binstub.rb | 2 1 + 1 - 0 !
2 files changed, 1 insertion(+), 2 deletions(-)

 fix paths wrt debian package
 The original source assumes the package was installed with rubygems, which is
 not the case with Debian packages.
 .
 This patch is probably, but not certainly, Debian-specific